View Issue Details

IDProjectCategoryView StatusLast Update
0006189Multi Theft Auto : San AndreasClientpublic2011-08-03 10:51
ReporterTheGTAAssigned Tolil_Toady 
PrioritylowSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target Version1.1Fixed in Version1.1 
Summary0006189: Lossy packaging with tables during triggerServerEvent
Description

Tables are not transfered correctly, so data loss occurs.

Steps To Reproduce

SERVERSIDE:

addEvent("ok", true);
addEventHandler("ok", getRootElement(), function(a) lol = a; end);

CLIENTSIDE:

a = {};
b = {};
b.tab = {};
b.tab2 = {};

table.insert(b.tab, a);
table.insert(b.tab2, a);

triggerServerEvent("ok", getRootElement(), b);

Additional Information

Type the above into runcode.
Now do:

/run #lol.tab2

Command results: 0 [number]
-> Should be 1

TagsNo tags attached.

Relationships

related to 0006297 resolvedlil_Toady triggerClientEvent not resolved 

Activities

lil_Toady

2011-06-20 22:22

administrator   ~~0013739

Not sure if it's such a bad bug, surely you can check server side if it's nil. It's an empty table anyway and not packing it saves bandwidth. If you're trying to send empty tables you should really think about optimizing your scripts. Those trigger calls may eat a lot of bandwidth.

TheGTA

2011-06-20 22:26

updater   ~~0013740

Last edited: 2011-06-20 22:27

Happens with filled tables. The problem obviously is that the network packaging code is checking for already present table references and ignores further additions.

DakiLLa

2011-06-20 22:44

viewer   ~~0013741

Hmm, so that was actually a bug... I was having such problem while ago, when tried to transfered those kind of tables. Hope this can be fixed..

lil_Toady

2011-06-20 22:46

administrator   ~~0013742

Last edited: 2011-06-20 22:46

Sending the same table twice isn't any better. Though, must be possible to pack it once.

TheGTA

2011-06-20 22:50

updater   ~~0013743

Last edited: 2011-06-20 22:58

I see a possibility in sending it once but having two reference markers. It just a shame that MTA is not totally reliable...

Picard

2011-06-21 13:26

updater   ~~0013755

Issue automatically marked as fixed by mantisbot ( Fixed in http://code.google.com/p/mtasa-blue/source/detail?r=2824 )

ccw

2011-07-31 21:33

administrator   ~~0014079

Server side is fixed, but client needs doing as well

diegofkda

2011-08-02 22:59

viewer   ~~0014103

One bug more and 1.1 will release... yay, after waiting about 1 year...

arranTuna

2011-08-02 23:00

manager   ~~0014104

I don't think this is meant to be still on 1.1 actually as its not important + lil_Toady is currently slacking.

Issue History

Date Modified Username Field Change